@rem ******************************************************************************
@rem 
@rem   Open Source Copyright Notice and License: FIPA-OS
@rem 
@rem   1. The programs and other works made available to you in these files ("the
@rem      Programs") are Copyright (c) 1999 - 2000 Nortel Networks Corporation, 
@rem      8200 Dixie Road, Suite 100, Brampton, Ontario, Canada L6R 5P6.  
@rem      All rights reserved.
@rem 
@rem   2. Your rights to copy, distribute and modify the Programs are as set out in
@rem      the Nortel Networks FIPA-OS Public License, a copy of which can be found
@rem      in file "Nortel_FIPA_OS_Public_Licence.txt" and the latest version can
@rem      also be found at http://fipa-os.sourceforge.net/. By downloading the
@rem      files containing the Programs you accept the terms and  conditions of the
@rem      Public License. You do not have to accept these terms and conditions, but
@rem      unless you do so you have no rights to use the Programs.
@rem 
@rem   The Original Code is Nortel Networks' FIPA-OS (Foundation for Intelligent
@rem   Physical Agents - Open Source).
@rem 
@rem   The Initial Developer of the Original Code is Nortel Networks Corporation.
@rem   Portions created by Nortel Networks Corporation or its subsidiaries are
@rem   Copyright (c) 1999 - 2000 Nortel Networks Corporation. All Rights Reserved.
@rem 
@rem   Contributor(s):
@rem   (add contributor names here)
@rem 
@rem ******************************************************************************

@rem Usage: Build
@rem Will rebuild any dirty class files in the "classes" directory.
@echo off

IF "%1" == "/?" GOTO help

call SetupFIPAOS.bat %1
set classpath=%FIPAOS%\classes;%FIPAOS%\src;%classpath%
java fipaos.tool.build.Make %FIPAOS%\src %FIPAOS%\classes
@echo on
@call make.bat
@echo off
del make.bat

GOTO end

:help
echo Usage: Build
echo Will rebuild any dirty class files in the "classes" directory.

:end
