@rem ******************************************************************************
@rem 
@rem  Open Source Copyright Notice and License: FIPA-OS
@rem 
@rem  The contents of this file are subject to the Emorphia Public License (the 
@rem  "License"); you may not use this file except in compliance with the License.
@rem  You may obtain a copy of the License at http://www.emorphia.com/EPL/
@rem 
@rem  Software distributed under the License is distributed on an "AS IS" basis, 
@rem  WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License 
@rem  for the specific language governing rights and limitations under the
@rem  License.
@rem 
@rem  The Original Code is FIPA-OS.
@rem 
@rem  The Initial Developer of the Original Code is Emorphia.
@rem 
@rem  Portions created by Emorphia are Copyright (C) 2001 Emorphia Limited
@rem  licensed under the Emorphia Public License, available at
@rem  http://www.emorphia.com/EPL/.
@rem 
@rem  All Rights Reserved.
@rem 
@rem  Contributor(s):
@rem  (add contributor names here)
@rem 
@rem ******************************************************************************
@call SetupFIPAOS.bat
@echo off
SET RMINSPORT=3000
SET SSLRMINSPORT=3000
SET IIOPNSPORT=4000
SET STARTRMINS=yes
SET STARTSSLRMINS=yes
SET STARTIIOPNS=yes
SET STARTACC=
SET START_SWITCH=/MIN
IF "%OS%" == "Windows_NT" GOTO START
SET START_SWITCH=/m
:START
IF "%STARTRMINS%" == "" GOTO STARTSSLRMINS
echo Starting RMI Naming Service...
start %START_SWITCH% java %COMPILER_OPTIONS% fipaos.mts.rmi.internal.ns.RMIAgentNamingServiceImpl %RMINSPORT%
IF "%SSLRMINSPORT%" == "%RMINSPORT%" GOTO STARTIIOPNS
:STARTSSLRMINS
IF "%STARTSSLRMINS%" == "" GOTO STARTIIOPNS
echo Starting SSL RMI Naming Service...
start %START_SWITCH% java %COMPILER_OPTIONS% fipaos.mts.rmi.internal.ns.RMIAgentNamingServiceImpl %SSLRMINSPORT%
:STARTIIOPNS
IF "%STARTIIOPNS%" == "" GOTO STARTACC
echo Starting CORBA Naming Service...
start %START_SWITCH% tnameserv -ORBInitialPort %IIOPNSPORT%
:STARTACC
java fipaos.tool.Sleep 5
IF "%STARTACC%" == "" GOTO STARTLOADER
echo Starting Agent Communication Channel...
start %START_SWITCH% java -Ddebug.level.memory=1 fipaos.mts.service.AgentCommunicationChannel %PLATFORM%
java fipaos.tool.Sleep 5
:STARTLOADER
echo Starting Agent Loader...
java %COMPILER_OPTIONS% fipaos.tool.loader.AgentLoader %LOADER_GUI% %PLATFORM% loader.profile
pause
