package fipaos.agent.profile;
import java.util.Vector;
import java.util.List;

public class AgentProfileImpl extends ProfileImpl implements AgentProfile {
    private DatabaseProfile databaseProfile;
    private List internalAddresss;
    private ProtocolProfile protocolProfile;
    private TaskManagerProfile taskManagerProfile;

    public AgentProfileImpl () {
        super();
    }

    public void setDatabaseProfile (DatabaseProfile databaseProfile) {
        this.databaseProfile = databaseProfile;
    }

    public DatabaseProfile getDatabaseProfile () {
        return databaseProfile;
    }

    public void setInternalAddress (InternalAddress internalAddress, int ind) throws ArrayIndexOutOfBoundsException {
        internalAddresss.set (ind, internalAddress);
    }

    public void addInternalAddress (InternalAddress internalAddress) {
        if (internalAddresss == null)
            internalAddresss = new Vector ();
        internalAddresss.add (internalAddress);
    }

    public List getInternalAddresss () {
        return internalAddresss;
    }

    public void setProtocolProfile (ProtocolProfile protocolProfile) {
        this.protocolProfile = protocolProfile;
    }

    public ProtocolProfile getProtocolProfile () {
        return protocolProfile;
    }

    public void setTaskManagerProfile (TaskManagerProfile taskManagerProfile) {
        this.taskManagerProfile = taskManagerProfile;
    }

    public TaskManagerProfile getTaskManagerProfile () {
        return taskManagerProfile;
    }
}