//******************************************************************************
//
//  Open Source Copyright Notice and License: FIPA-OS
//
//  1. The programs and other works made available to you in these files ("the
//     Programs") are Copyright (c) 1999 - 2000 Nortel Networks Corporation, 
//     8200 Dixie Road, Suite 100, Brampton, Ontario, Canada L6R 5P6.  
//     All rights reserved.
//
//  2. Your rights to copy, distribute and modify the Programs are as set out in
//     the Nortel Networks FIPA-OS Public License, a copy of which can be found
//     in file "Nortel_FIPA_OS_Public_Licence.txt" and the latest version can
//     also be found at http://fipa-os.sourceforge.net/. By downloading the
//     files containing the Programs you accept the terms and  conditions of the
//     Public License. You do not have to accept these terms and conditions, but
//     unless you do so you have no rights to use the Programs.
//
//  The Original Code is Nortel Networks' FIPA-OS (Foundation for Intelligent
//  Physical Agents - Open Source).
//
//  The Initial Developer of the Original Code is Nortel Networks Corporation.
//  Portions created by Nortel Networks Corporation or its subsidiaries are
//  Copyright (c) 1999 - 2000 Nortel Networks Corporation. All Rights Reserved.
//
//  Contributor(s):
//  (add contributor names here)
//
//******************************************************************************

package fipaos.skill.jess;

//----------------------------------------------------------------------


/**
 * TODO: Write a description of the class
 * <br>
 * <br>
 */
public class JESSAGENTCONSTANTS
{
     
//----------------------------------------------------------------------
// CONSTANTS
//----------------------------------------------------------------------
	static final String	JESS_ONTOLOGY				= "jess-ontology";

	static final String	UNRECOG_ACTION				= "unrecognised-action";
	
	// internal state of PA
	static final int FUNCTIONING				= 1;	
	static final int LEVEL1						= 3;
	static final int LEVEL2						= 4;	
	static final String FAILURE					= "failed";
	static final String ERROR					= "error";
	static final String NORESPONSE				= null;
			
	//Jess Functions supported
	
	static final int ASSERT             = 0;
	static final int RETRACT            = 1;
	static final int LISTFACTS          = 2;
	static final int LISTRULES          = 3;
	static final int LISTACTIVATIONS    = 4;
	static final int RESET              = 5;
	static final int CLEAR              = 6;
	static final int RUN                = 7;
	static final int LOADKB             = 8;
	
	
//----------------------------------------------------------------------
// STATIC VARIABLES
//----------------------------------------------------------------------
		
//----------------------------------------------------------------------
// INSTANCE VARIABLES
//----------------------------------------------------------------------

//----------------------------------------------------------------------
// CONSTRUCTOR
//----------------------------------------------------------------------

//----------------------------------------------------------------------
// PRIVATE METHODS
//----------------------------------------------------------------------

//----------------------------------------------------------------------
// PUBLIC METHODS
//----------------------------------------------------------------------	
	
//----------------------------------------------------------------------
// MAIN/TESTING METHOD
//----------------------------------------------------------------------
  
	
}

	
