package fipaos.agent.profile;
import java.util.Vector;
import java.util.List;

public class ACCProfileImpl extends ProfileImpl implements ACCProfile {
    private DatabaseProfile databaseProfile;
    private String localAddressesLocation;
    private List remoteAgentPlatformProfiles;
    private List internalAddresss;
    private List externalAddresss;

    public ACCProfileImpl () {
        super();
    }

    public void setDatabaseProfile (DatabaseProfile databaseProfile) {
        this.databaseProfile = databaseProfile;
    }

    public DatabaseProfile getDatabaseProfile () {
        return databaseProfile;
    }

    public void setLocalAddressesLocation (String localAddressesLocation) {
        this.localAddressesLocation = localAddressesLocation;
    }

    public String getLocalAddressesLocation () {
        return localAddressesLocation;
    }

    public void setRemoteAgentPlatformProfile (RemoteAgentPlatformProfile remoteAgentPlatformProfile, int ind) throws ArrayIndexOutOfBoundsException {
        remoteAgentPlatformProfiles.set (ind, remoteAgentPlatformProfile);
    }

    public void addRemoteAgentPlatformProfile (RemoteAgentPlatformProfile remoteAgentPlatformProfile) {
        if (remoteAgentPlatformProfiles == null)
            remoteAgentPlatformProfiles = new Vector ();
        remoteAgentPlatformProfiles.add (remoteAgentPlatformProfile);
    }

    public List getRemoteAgentPlatformProfiles () {
        return remoteAgentPlatformProfiles;
    }

    public void setInternalAddress (InternalAddress internalAddress, int ind) throws ArrayIndexOutOfBoundsException {
        internalAddresss.set (ind, internalAddress);
    }

    public void addInternalAddress (InternalAddress internalAddress) {
        if (internalAddresss == null)
            internalAddresss = new Vector ();
        internalAddresss.add (internalAddress);
    }

    public List getInternalAddresss () {
        return internalAddresss;
    }

    public void setExternalAddress (ExternalAddress externalAddress, int ind) throws ArrayIndexOutOfBoundsException {
        externalAddresss.set (ind, externalAddress);
    }

    public void addExternalAddress (ExternalAddress externalAddress) {
        if (externalAddresss == null)
            externalAddresss = new Vector ();
        externalAddresss.add (externalAddress);
    }

    public List getExternalAddresss () {
        return externalAddresss;
    }
}