/*==============================================================================
 
  Open Source Copyright Notice and License: FIPA Message Representation in Bit-
  Efficient Encoding
 
  1.  The  programs and other works made available to you in these files ("the
      Programs") are Copyright (c) 2001 Sonera Corporation, Teollisuuskatu 15,
      P.O. Box 970, FIN-00051 SONERA, Finland.  All rights reserved.

  2.  Your rights to copy, distribute and modify the Programs are as set out in
      the Sonera Public License, a copy of which can be found in file
      "Sonera_Public_License.txt". By downloading the files containing the
      Programs you accept the terms and conditions of the Public License.  You
      do not have to accept these terms and  conditions, but unless you do so
      you have no rights to use the Programs.

  The Original Code is an implementation of the FIPA Message Representation
  in Bit-Efficient Encoding.

  The Initial Developer of the Original Code is Sonera Corporation.  Portions 
  created  by  Sonera Corporation or its subsidiaries are Copyright (c) Sonera
  Corporation. All Rights Reserved.

  Contributor(s):
    (add names here)

==============================================================================*/

package fipaos.parser.acl.bitefficient;


/**
 *
 * @author Heikki Helin, Mikko Laukkanen
 */
public interface MAPPING {

	public static final int ACCEPTPROPOSAL =        1;
	public static final int AGREE =                 2;
	public static final int CANCEL =                3;
	public static final int CFP =                   4;
	public static final int CONFIRM =               5;
	public static final int DISCONFIRM =            6;
	public static final int FAILURE =               7;
	public static final int INFORM =                8;
	public static final int INFORMIF =              9;
	public static final int INFORMREF =             10;
	public static final int NOTUNDERSTOOD =         11;
	public static final int PROPAGATE =             12;
	public static final int PROPOSE =               13;
	public static final int PROXY =                 14;
	public static final int QUERYIF =               15;
	public static final int QUERYREF =              16;
	public static final int REFUSE =                17;
	public static final int REJECTPROPOSAL =        18;
	public static final int REQUEST =               19;
	public static final int REQUESTWHEN =           20;
	public static final int REQUESTWHENEVER =       21;
	public static final int SUBSCRIBE =             22;

}
